<?xml version="1.0"?>


<bindings id="popupBindings" xmlns="http://www.mozilla.org/xbl"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:xul="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
          xmlns:xbl="http://www.mozilla.org/xbl">

  <binding id="unity-permission-popup" extends="chrome://global/content/bindings/notification.xml#popup-notification">
    <content class="unity-permission-content" align="start" anonid="unity-permission-box">
      
      <xul:vbox class="unity-permission-box" flex="1">
	<xul:hbox flex="1">
	  <xul:image class="popup-notification-icon"
                     xbl:inherits="popupid" width="48px"/>
	  <xul:vbox flex="0">
            <xul:description class="popup-notification-description"
                             xbl:inherits="xbl:text=label"/>
            <xul:spacer flex="1"/>
            <xul:hbox class="popup-notification-button-container"
		      style="min-height: 35px; margin-bottom:18px">
              <xul:label anonid="learnmore" class="text-link unity-text-link"/>
	      <xul:spacer flex="1"/>

              <xul:button anonid="button"
			  type="menu-button"
			  class="popup-notification-menubutton"
			  flex="0"
			  xbl:inherits="oncommand=buttoncommand,label=buttonlabel,accesskey=buttonaccesskey">
		<xul:menupopup anonid="menupopup"
                               xbl:inherits="oncommand=menucommand">
		  <children/>
		</xul:menupopup>
              </xul:button>
            </xul:hbox>
	    
	  </xul:vbox>
	  <xul:vbox pack="start">
            <xul:toolbarbutton anonid="closebutton"
                               class="messageCloseButton popup-notification-closebutton tabbable"
                               xbl:inherits="oncommand=closebuttoncommand"
                               tooltiptext="Close"/>
	  </xul:vbox>
	</xul:hbox>
      </xul:vbox>

    </content>
  </binding>



</bindings>
